Installation

Requirements

Be sure to follow the General Setup procedures to install all of the necessary requirements before installing the package.

  • PyCrypto (optional - if AES-128 support is required)

Install via pip

pip install --extra-index-url https://update.synapse-wireless.com/pypi snapconnect-futures

Install offline

To cache the download to transfer via USB key, run the following as a single command:

pip install --download="/mypathtosave/" --extra-index-url https://update.synapse-wireless.com/pypi snapconnect-futures

The files necessary to install SNAPconnect Futures will be in the path you specify. To install from the cache:

pip install --no-index --find-links="/mypathtosave/" snapconnect-futures

Note

The SNAPconnect E12 and SNAPconnect E20 come with the SNAPconnect Futures Python package pre-installed.